petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatSetLocalToGlobalMapping

Sets a local-to-global numbering for use by the routine MatSetValuesLocal() to allow users to insert matrix entries using a local (per-processor) numbering.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSetLocalToGlobalMapping(Mat x,ISLocalToGlobalMapping rmapping,ISLocalToGlobalMapping cmapping)

Not Collective

### Input Parameters

| x | - the matrix
| rmapping | - row mapping created with ISLocalToGlobalMappingCreate() or ISLocalToGlobalMappingCreateIS()
| cmapping | - column mapping

### See Also

MatAssemblyBegin(), MatAssemblyEnd(), MatSetValues(), MatSetValuesLocal()

### Level

intermediate

### Location

src/mat/interface/matrix.c

### Examples

src/snes/examples/tutorials/ex48.c.html
src/tao/bound/examples/tutorials/plate2.c.html
src/tao/bound/examples/tutorials/plate2f.F90.html

### Implementations

MatSetLocalToGlobalMapping_IS in src/mat/impls/is/matis.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages